Bug 199418 - UI rendering problems
UI rendering problems
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: blender (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jochen Schmitt
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-19 10:03 EDT by Robert Marcano
Modified: 2008-12-27 07:25 EST (History)
4 users (show)

See Also:
Fixed In Version: 2.45
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-21 14:09:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot using the fedoras extras build (68.42 KB, image/png)
2006-07-19 10:03 EDT, Robert Marcano
no flags Details
Screenshot using the blender.org build (79.08 KB, image/png)
2006-07-19 10:06 EDT, Robert Marcano
no flags Details

  None (edit)
Description Robert Marcano 2006-07-19 10:03:03 EDT
Description of problem:
The user interface of blender shows a lot of black sections that makes it
unusable. This does not happens with the official blender build: Linux i386
2.3.2, dynamic, FFMPEG, Python 2.4 (10.0 MB)  

Version-Release number of selected component (if applicable):
blender-2.42-3.fc5

How reproducible:
Always when using the ATI driver xorg-x11-drv-fglrx-8.26.18-1.lvn5 form Livna
repositories

Additional info:
I am attaching two screenshots showing the problem
Comment 1 Robert Marcano 2006-07-19 10:03:04 EDT
Created attachment 132686 [details]
Screenshot using the fedoras extras build
Comment 2 Robert Marcano 2006-07-19 10:06:11 EDT
Created attachment 132687 [details]
Screenshot using the blender.org build
Comment 3 Robert Marcano 2006-07-19 10:15:50 EDT
Opps i forgot... it happens in both modes: fullscreen (blender -f) and Windowed
(blender -w)
Comment 4 Richard Körber 2006-07-20 08:46:57 EDT
I can confirm this, using the nVidia driver from Livna.
Comment 5 Jochen Schmitt 2006-07-20 16:12:50 EDT
Thank you for yur bug report. I thought, that shuld be a new cool theme for the
next blender version.

I have found out, that was a problem by using $RPM_OPT_FLAGS as CXXFLAGS in the
blender package.

I have release a new release of the package blender-2.42-4 which should be
available in the next days on the mirrors
Comment 6 Ville Skyttä 2007-02-15 17:30:18 EST
http://www.redhat.com/archives/fedora-maintainers/2007-January/msg00339.html

Disabling all of $RPM_OPT_FLAGS like this results in lack of compiler security
features which are expected to be present, as well as useless debuginfo. 
Instead of disabling them altogether, find out exactly which options in
$RPM_OPT_FLAGS cause the problems, and filter only those out, leave others
intact and use them.
http://fedoraproject.org/wiki/Packaging/Guidelines#CompilerFlags
Comment 7 Jochen Schmitt 2007-06-21 14:09:59 EDT
Should be solve in the current version of blender.
Comment 8 Lubomir Rintel 2008-12-27 03:46:00 EST
I have brought the compiler flags back in 2.48a-6.

I've tested versions 2.42 and 2.45, both compiled with standard optflags to ensure the original issue was fixed -- I observed distorts with the former and everything was all right with the later (I use RHEL 5 with current nvidia proprietary driver).

If any problems with UI arise again, please do as Ville advises and do not disable all the optflags. They are very useful from both security standpoint and for debugging -- I had to recompile blender to debug a fairly simple issue in EPEL branch, see my previous commit. Thanks!
Comment 9 Lubomir Rintel 2008-12-27 07:25:53 EST
So, I changed it once again -- the way we were adding CCFLAGS was overriding the default CCFLAGS, and in fact it weren't the Fedora optflags that were causing the trouble, but the lack of Blender default ones. I think I've fixed it in EL-5 and devel. Sorry for the noise!

Note You need to log in before you can comment on or make changes to this bug.